Index: TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/preferences/URSPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/preferences/URSPreferences.java	(revision 3955)
+++ TXM/trunk/bundles/org.txm.analec.rcp/src/org/txm/annotation/urs/preferences/URSPreferences.java	(revision 3956)
@@ -21,7 +21,7 @@
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
-		Preferences preferences = DefaultScope.INSTANCE.getNode(getPreferencesNodeQualifier());
+		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.put(VERSION, "");
 		preferences.put(COLOR_PALETTE, "green");
 		preferences.put(SELECTED_UNIT_COLOR, URSAnnotationToolbar.green.toString());
Index: TXM/trunk/bundles/org.txm.groovy.rcp/src/org/txm/groovy/rcp/GroovyPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.rcp/src/org/txm/groovy/rcp/GroovyPreferencePage.java	(revision 3955)
+++ TXM/trunk/bundles/org.txm.groovy.rcp/src/org/txm/groovy/rcp/GroovyPreferencePage.java	(revision 3956)
@@ -22,6 +22,7 @@
 	
 	@Override
 	public void init(IWorkbench workbench) {
+		
 		this.setPreferenceStore(new TXMPreferenceStore(GroovyPreferences.getInstance().getPreferencesNodeQualifier()));
 		this.setTitle("Groovy"); //$NON-NLS-1$
 		this.setImageDescriptor(IImageKeys.getImageDescriptor("org.txm.groovy.rcp", "icon/groovy.png")); //$NON-NLS-1$ //$NON-NLS-2$
Index: TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/preferences/DictionaryPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/preferences/DictionaryPreferences.java	(revision 3955)
+++ TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/preferences/DictionaryPreferences.java	(revision 3956)
@@ -14,7 +14,7 @@
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
-		Preferences preferences = DefaultScope.INSTANCE.getNode(getPreferencesNodeQualifier());
+		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.put(VERSION, "");
 	}
 	
Index: TXM/trunk/bundles/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyPreferences.java	(revision 3955)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyPreferences.java	(revision 3956)
@@ -1,5 +1,6 @@
 package org.txm.groovy.core;
 
+import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TXMPreferences;
 
 public class GroovyPreferences extends TXMPreferences {
@@ -27,6 +28,8 @@
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
 		
-		this.put(FAST_PACKAGE_INDEX, true);
+		Preferences preferences = this.getDefaultPreferencesNode();
+		
+		preferences.putBoolean(FAST_PACKAGE_INDEX, true);
 	}
 }
Index: TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/preferences/PropertiesPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/preferences/PropertiesPreferences.java	(revision 3955)
+++ TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/preferences/PropertiesPreferences.java	(revision 3956)
@@ -24,7 +24,7 @@
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
-		Preferences preferences = DefaultScope.INSTANCE.getNode(getPreferencesNodeQualifier());
+		Preferences preferences = this.getDefaultPreferencesNode();
 		
 		preferences.putInt(MAX_PROPERTIES_TO_DISPLAY, 10);
 		
Index: TXM/trunk/bundles/org.txm.imports.metopes/src/org/txm/importer/metopes/preferences/MetopesPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.imports.metopes/src/org/txm/importer/metopes/preferences/MetopesPreferences.java	(revision 3955)
+++ TXM/trunk/bundles/org.txm.imports.metopes/src/org/txm/importer/metopes/preferences/MetopesPreferences.java	(revision 3956)
@@ -11,7 +11,7 @@
 	@Override
 	public void initializeDefaultPreferences() {
 		super.initializeDefaultPreferences();
-		Preferences preferences = DefaultScope.INSTANCE.getNode(getPreferencesNodeQualifier());
+		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.put(VERSION, "");
 	}
 	
